.edit-profile {
  .edit-profile-wrapper {
    display: flex;

    .edit-profile-info {
      flex: 10;

      .edit-profile-info_top {
        .edit-profile-info_top__cover {
          height: 320px;
          position: relative;

          .edit-profile-info_top__cover__background {
            width: 100%;
            height: 250px;
            object-fit: cover;
          }

          .edit-profile-info_top__cover__user {
            position: absolute;
            top: 150px;
            left: 0;
            right: 0;
            width: 150px;
            height: 150px;
            border-radius: 50%;
            border: 2px solid white;
            margin: auto;
            object-fit: cover;
          }
        }

        .edit-profile-info_top__info {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
  
          .edit-profile-info_top__info_name {
            font-size: 24px;
          }
  
          .edit-profile-info_top__info_desc {
            font-weight: 300;
          }
        }
      }

      .edit-profile-info_bottom {
        display: flex;
        flex-direction: column;

        .top {
          display: flex;
          margin: 20px;
          padding: 10px;
          box-shadow: 2px 4px 10px 1px rgba(201, 201, 201, 0.47);
          -webkit-box-shadow: 2px 4px 10px 1px rgba(0, 0, 0, 0.47);

          h1 {
            color: #666;
            font-size: 20px;
          }
        }

        .bottom {
          display: flex;
          margin: 20px;
          padding: 10px;
          box-shadow: 2px 4px 10px 1px rgba(201, 201, 201, 0.47);
          -webkit-box-shadow: 2px 4px 10px 1px rgba(0, 0, 0, 0.47);

          .left {
            flex: 1;
            display: flex;
            align-items: center;
            justify-content: center;

            img {
              width: 300px;
              height: 300px;
              border-radius: 50%;
              object-fit: cover;
            }
          }

          .right {
            flex: 2;

            form {
              display: flex;
              flex-direction: column;
              justify-content: space-between;

              .form-input {
                width: 70%;
                margin-top: 20px;

                label {
                  display: flex;
                  align-items: center;
                  gap: 5px;
                  color: #808080ab;

                  .icon {
                    cursor: pointer;
                  }
                }

                input {
                  width: 100%;
                  font-size: 18px;
                  padding: 5px;
                  border: none;
                  border-bottom: 1px solid gray;

                  &:focus {
                    outline: none;
                  }
                }
              }

              .btn-update {
                width: 150px;
                padding: 10px;
                margin-top: 20px;
                background-color: #011631;
                color: white;
                border: none;
                border-radius: 5px;
                font-weight: bold;
              }
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .edit-profile {
    .edit-profile-wrapper {
      .edit-profile-info {
        .edit-profile-info_bottom {
          .bottom {
            .left {
              img {
                width: 150px;
                height: 150px;
              }
            }
            .right {
              flex: 2;

              form {
                .form-input {
                  width: 90%;
                }
              }
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 576px) {
  .edit-profile {
    .edit-profile-wrapper {
      .edit-profile-info {
        .edit-profile-info_bottom {
          .bottom {
            .left {
              img {
                width: 100px;
                height: 100px;
              }
            }
            .right {
              form {
                .form-input {
                  width: 90%;
                }
              }
            }
          }
        }
      }
    }
  }
}
